JS Console errors on the site

I have a site that I am building using Elementor pack. I see that there are JS console errors. Can someone please assist me with that?

Thank you

  • Ash
    • WordPress Hacker

    Hello cornelius_butler

    There are three JS errors on the console. The first one is coming from the following code:

    <script src="https://sitecloudcentral.com/js/vp_player.min.js?v=1.1.23" data-cfasync="false"></script>
    
    <script><br />
    var vpPlayer = new VpPlayer({<br />
        embedId: "RxqL5Xtqh6RJ"<br />
    });</script>

    This is because, you added the script in the elementor editor. This is not recommended at all. You need to use enqueue properly: https://developer.wordpress.org/reference/functions/wp_enqueue_script/

    The second error comes from ddsmoothmenu plugin. I think I have already mentioned that on two of your previous threads. You need to contact the plugin author for this.

    I am not certain about the third error. It might also happen because of previous two JS errors. But better to run a conflict test. Would you please run a conflict test? Please deactivate all plugins except this one and check if the problem gone. If so, then enable all plugins one by one and find which one is having conflict. You need to do the same with themes as well.

    You can find the flowchart here: https://premium.wpmudev.org/docs/getting-started/getting-support/#chapter-1

    Have a nice day!

    Cheers,
    Ash

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.